<?php
session_start();

// SQL injection hack protection
foreach($_POST as $Index => $Item) $_POST[$Index] = addslashes($Item);
foreach($_GET as $Index => $Item) $_GET[$Index] = addslashes($Item);

if(file_exists('inc/config.php')) require_once('inc/config.php');
  else die('Nenalezen soubor inc/config.php. Vytvořte jej z předlohy config.sample.php.');
  
require_once('inc/error.php');
require_once('inc/database.php');
require_once('inc/html.php');
require_once('inc/system.php');
require_once('inc/player.php');
require_once('inc/server.php');
require_once('inc/realm.php');
require_once('inc/menu.php');

// classes start
$System = new System($Config);
$db = $System->Database;
$player = new Player($db);
$server = new Server($System, 1);
$html = new Html(0, $db);
$html->Start();
$menu = new Menu();

echo('<div id="page">'.
  '<div id="header" style="background-image: url(imgs/web/headers/header0.jpg);"></div>'.
  '<div id="top"></div>'.
  '<div id="menu">');

$ServerMenuItems = array(
  array('link' => '?page=main', 'Text' => 'Úvod'),
  array('link' => '?page=begin', 'Text' => 'Jak začít'),
  array('link' => '?page=register', 'Text' => 'Registrace'),
  array('link' => '?page=acc', 'Text' => 'Správa účtu'),
  array('link' => 'forum/', 'Text' => 'Fórum'),
  array('link' => '?page=server', 'Text' => 'Server'),
  array('link' => '?page=gmteam', 'Text' => 'GM Tým'),
  //array('link' => 'bug_tracker/', 'Text' => 'Nahlaš chybu'),
  array('link' => 'gallery/', 'Text' => 'Galerie'),
  array('link' => '?page=download', 'Text' => 'Stahování'),
  array('link' => '?page=links', 'Text' => 'Odkazy'),
  array('link' => '?page=banlist', 'Text' => 'Bany'),
  array('link' => '?page=dotation', 'Text' => 'Dotace'),
  array('link' => '?page=teamspeak', 'Text' => 'Team speak'),
  array('link' => '?page=client', 'Text' => 'HoF Client'),
  array('link' => '?page=test-server', 'Text' => 'Test Server'),
  array('link' => '?page=search', 'Text' => 'Vyhledávání'),    
  array('link' => '?page=realmlist', 'Text' => 'Světy'),    
);

echo('<br /><br />');
echo('<div class="mainmenu">');
echo $menu->GetMenu();
echo('</div>');

echo('<div class="Banners">'.
  '<strong>Naše ikonka :</strong><br />'.
  '<a href="'.$Config['Web']['BaseURL'].'"><img src="imgs/web/hof_ban.png" alt="WoW Server Heroes of Fantasy" /></a><br />'.
  '<strong>Odkazy :</strong><br />'.
  '<a href="http://servery.wowresource.eu/"><img src="http://servery.wowresource.eu/templates/img/bannery/banner_maly.gif" alt="WoW Server status" /></a><br />'.
  '<a href="http://www.wowhead.com"><img src="http://www.wowhead.com/images/badge_88x31.gif" width="88" height="31" alt="" /></a><br />'.
  '<a href="http://wowpreklad.zdechov.net/"><img src="http://wowpreklad.zdechov.net/banners/baner_88_31.jpg" alt="baner_http://wowpreklad.zdechov.net/" height="31" width="88" /></a><br />'.
  '<strong>Statistika :</strong><br />'.
  '<a href="http://www.toplist.cz/"><img src="http://toplist.cz/count.asp?logo=mc&amp;ID=324802" width="88" height="60" alt="counter" /></a><br /><br />'.
  'Počet přístupů: <br /><a href="http://counter.cnw.cz/">'.
  '<img src="http://counter.cnw.cz/monika.cgi?wowzdechov&amp;7&amp;000000&amp;FFFFFF&amp;on" alt="CNW:Counter" /></a>'.
  "\n".
  '<script type="text/javascript">
  <!--
  document.write("<a href=\"http://counter.cnw.cz\" target=\"_parent\"><img src=\"http://counter.cnw.cz/trackit.cgi?wowzdechov&t4&" + escape(top.document.referrer) + "\" alt=\"CNW:Tracker\" border=\"0\" width=\"1\" height=\"1\"><\/a>");
  // -->
  </script>'.
  '</div>'.
  '</div>'.
  '<div id="content">');

// obsah start
$include = 1;
if(isset($_GET['logout']) and $player->Check())
{
  echo('<center>');
  $player->Logout();
  echo('</center>');
  $include = 0;
}
if($include == 1)
{
  if(isset($_GET['page'])) include_once($html->Pager($_GET['page'], 'pages', 'main'));
    else include_once('pages/main.php');
}
echo('</div>'.
'<div id="footer"><br /><div id="copyright"><a href="?page=autori">Vývoj webu</a></div></div></div>');

$html->Stop();
$db->close();

?>
